<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/gui/options/optionsmenuexpansion.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dd3/optionsmenuexpansion_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">optionsmenuexpansion.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dd3/optionsmenuexpansion_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * OptionsMenuExpansion.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>OptionsMenuExpansion <span class="keyword">extends</span> <a class="code hl_class" href="../../df/df4/class_scripted_widget_event_handler.html">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a71b8e094195dbad856b869f74ddc40f0">   15</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aa5e200f6c7f6000f36191cc4d8e2267a">   17</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#aa5e200f6c7f6000f36191cc4d8e2267a">m_DetailsRoot</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aaed08505856aa6f1d804546090d0392c">   18</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#aaed08505856aa6f1d804546090d0392c">m_DetailsLabel</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a64423982a171b4cc45652786b1153941">   19</a></span>    <span class="keyword">protected</span> RichTextWidget <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#a64423982a171b4cc45652786b1153941">m_DetailsText</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a93cd4840477d3dbe2ab3b6583309ad38">   21</a></span>    <span class="keyword">protected</span> GameOptions <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#a93cd4840477d3dbe2ab3b6583309ad38">m_Options</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aef8b0265c31fcd36b7dba98c6cb0eee8">   22</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d8/dfa/class_options_menu.html">OptionsMenu</a> <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#aef8b0265c31fcd36b7dba98c6cb0eee8">m_Menu</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#ae6e63c878a0a0a7cc10e3eb16caa1eec">   24</a></span>    <span class="keyword">protected</span> ref array&lt;ref ExpansionOptionSettingWidget&gt; <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#ae6e63c878a0a0a7cc10e3eb16caa1eec">m_OptionsWidgets</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a191776877c0e6d31952c706aefd01166">   26</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#a191776877c0e6d31952c706aefd01166">m_IsChanged</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// OptionsMenuExpansion Constructor</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aa870b9dfdcd9897c5115f7445fba9751">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#aa870b9dfdcd9897c5115f7445fba9751">OptionsMenuExpansion</a>( Widget parent, Widget details_root, GameOptions options, <a class="code hl_class" href="../../d8/dfa/class_options_menu.html">OptionsMenu</a> menu )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_function" href="../../df/db3/expansionclientsettings_8c.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_function" href="../../dc/dea/class_expansion_client_settings.html#aef870dc7b6bc8930a22c5a8f5e3a5574">Load</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_Root = GetGame().GetWorkspace().CreateWidgets( <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/ui/options/expansion_tab.layout&quot;</span>, parent );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_Root.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> ( !m_OptionsWidgets )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            m_OptionsWidgets = <span class="keyword">new</span> array&lt;ref ExpansionOptionSettingWidget&gt;;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            m_OptionsWidgets.Clear();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_DetailsRoot = details_root;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_DetailsLabel = TextWidget.Cast( m_DetailsRoot.FindAnyWidget( <span class="stringliteral">&quot;details_label&quot;</span> ) );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        m_DetailsText = RichTextWidget.Cast( m_DetailsRoot.FindAnyWidget( <span class="stringliteral">&quot;details_content&quot;</span> ) );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        m_Options = options;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        m_Menu = menu;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        Widget rootContent = Widget.Cast( m_Root.FindAnyWidget( <span class="stringliteral">&quot;expansion_tab_content&quot;</span> ) );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_function" href="../../df/db3/expansionclientsettings_8c.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_variable" href="../../dc/dea/class_expansion_client_settings.html#aa8108c8e08c8dee4bd5ba9f9a0b1b355">m_Categories</a>.Count(); i++ )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_class" href="../../dc/d83/class_expansion_client_setting_category.html">ExpansionClientSettingCategory</a> category = <a class="code hl_function" href="../../df/db3/expansionclientsettings_8c.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_variable" href="../../dc/dea/class_expansion_client_settings.html#aa8108c8e08c8dee4bd5ba9f9a0b1b355">m_Categories</a>[i];</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            Widget categoryWidget = Widget.Cast( GetGame().GetWorkspace().CreateWidgets( <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/ui/options/expansion_options_category.layout&quot;</span>, rootContent ) );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            TextWidget categoryLable = TextWidget.Cast( categoryWidget.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_category_header_text&quot;</span> ) );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            categoryLable.SetText( category.<a class="code hl_variable" href="../../dc/d83/class_expansion_client_setting_category.html#a41034b80127c5c6b6515667f2efc967f">m_DisplayName</a> );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            GridSpacerWidget categoryGrid = GridSpacerWidget.Cast( categoryWidget.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_category_content&quot;</span> ) );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> j = 0; j &lt; category.<a class="code hl_variable" href="../../dc/d83/class_expansion_client_setting_category.html#a8cc10fb2f598ef3f0c9e7f2d9aa65b96">m_Settings</a>.Count(); j++ )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                ExpansionOptionSettingWidget setting = <span class="keyword">new</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#ab9c9e3e8bb78735264b870b8d7f2193c">ExpansionOptionSettingWidget</a>( categoryGrid, category.<a class="code hl_variable" href="../../dc/d83/class_expansion_client_setting_category.html#a8cc10fb2f598ef3f0c9e7f2d9aa65b96">m_Settings</a>[j], <span class="keyword">this</span> );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                <span class="keywordflow">if</span> ( setting )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                    m_OptionsWidgets.Insert( setting );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">// OptionsMenuExpansion IsChanged</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#af2733ae6095bc52db6a67d6ffa418f5b">   75</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#af2733ae6095bc52db6a67d6ffa418f5b">IsChanged</a>()</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/df4/class_scripted_widget_event_handler.html#a191776877c0e6d31952c706aefd01166">m_IsChanged</a>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="comment">// OptionsMenuExpansion SetChanged</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aafeadb70e7937a0d428c4e88a3e12c9f">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#aafeadb70e7937a0d428c4e88a3e12c9f">SetChanged</a>()</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        m_IsChanged = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        m_Menu.OnChanged();</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// OptionsMenuExpansion Apply</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#af709a2cbb254a7db31239631a06e147a">   93</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#af709a2cbb254a7db31239631a06e147a">Apply</a>()</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> ( m_IsChanged )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            m_IsChanged = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_OptionsWidgets.Count(); i++ )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                m_OptionsWidgets[i].Apply();</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            CF_ModuleCoreManager.OnSettingsChanged(<span class="keyword">this</span>, CF_EventArgs.Empty);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_function" href="../../df/db3/expansionclientsettings_8c.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_function" href="../../dc/dea/class_expansion_client_settings.html#a94023d99f35e935099360b8ca1b4890f">Save</a>();</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">// OptionsMenuExpansion Override OnMouseEnter</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#adb29d3b0007d7c5899f77b5c8ec65e50">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#adb29d3b0007d7c5899f77b5c8ec65e50">OnMouseEnter</a>( Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> ( w &amp;&amp; w.IsInherited( ScrollWidget ) )</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> ( w &amp;&amp; w.IsInherited( SliderWidget ) )</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="comment">// OptionsMenuExpansion Override OnMouseLeave</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aa0961e354274ce56d9047e4461f95a1a">  130</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#aa0961e354274ce56d9047e4461f95a1a">OnMouseLeave</a>( Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">if</span> ( w &amp;&amp; w.IsInherited( ScrollWidget ) )</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">// OptionsMenuExpansion Override OnFocus</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#acee4b7a280bd6c411a73ba05c9cb8755">  143</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#acee4b7a280bd6c411a73ba05c9cb8755">OnFocus</a>( Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y )</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {       </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    <span class="comment">// OptionsMenuExpansion Override OnFocusLost</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a3397cc10bcbfa4f2bb9741b800fc88e0">  151</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#a3397cc10bcbfa4f2bb9741b800fc88e0">OnFocusLost</a>( Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y )</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <span class="comment">// OptionsMenuExpansion IsFocusable</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#ac237903ddcafd68ab0d69df9a38f46da">  159</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#ac237903ddcafd68ab0d69df9a38f46da">IsFocusable</a>( Widget w )</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">if</span> ( w )</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="comment">// OptionsMenuExpansion ColorRed</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a68d5eff3cf61ea383563828e0e63d4e2">  172</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#a68d5eff3cf61ea383563828e0e63d4e2">ColorRed</a>( Widget w )</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        SetFocus( w );</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span>( w.IsInherited( ButtonWidget ) )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            ButtonWidget button = ButtonWidget.Cast( w );</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            button.SetTextColor( ARGB( 255, 255, 0, 0 ) );</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            button.SetAlpha( 0.9 );</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    <span class="comment">// OptionsMenuExpansion ColorWhite</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#a20af9241f704d6d6d1ee3c97a6e817e4">  186</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#a20af9241f704d6d6d1ee3c97a6e817e4">ColorWhite</a>( Widget w, Widget enterW )</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">if</span>( w.IsInherited( ButtonWidget ) )</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            ButtonWidget button = ButtonWidget.Cast( w );</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            button.SetTextColor( ARGB( 255, 255, 255, 255 ) );</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            button.SetAlpha( 0.75 );</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    <span class="comment">// OptionsMenuExpansion ShowDetails</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#af7d8a0343b1a53ed645ba286d3738879">  199</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#af7d8a0343b1a53ed645ba286d3738879">ShowDetails</a>( <span class="keywordtype">string</span> title, <span class="keywordtype">string</span> text )</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        m_DetailsRoot.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        m_DetailsLabel.SetText( title );</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        m_DetailsText.SetText( text );</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <span class="comment">// OptionsMenuExpansion ShowDetails</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../df/df4/class_scripted_widget_event_handler.html#aca7b46599162024be0b493ab4c21dcf4">  209</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df4/class_scripted_widget_event_handler.html#aca7b46599162024be0b493ab4c21dcf4">HideDetails</a>()</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        m_DetailsRoot.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        m_DetailsLabel.SetText( <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        m_DetailsText.SetText( <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>}</div>
<div class="ttc" id="aclass_expansion_client_setting_category_html"><div class="ttname"><a href="../../dc/d83/class_expansion_client_setting_category.html">ExpansionClientSettingCategory</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/expansionclientsettingcategory_8c_source.html#l00013">expansionclientsettingcategory.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_client_setting_category_html_a41034b80127c5c6b6515667f2efc967f"><div class="ttname"><a href="../../dc/d83/class_expansion_client_setting_category.html#a41034b80127c5c6b6515667f2efc967f">ExpansionClientSettingCategory::m_DisplayName</a></div><div class="ttdeci">string m_DisplayName</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/expansionclientsettingcategory_8c_source.html#l00018">expansionclientsettingcategory.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_client_setting_category_html_a8cc10fb2f598ef3f0c9e7f2d9aa65b96"><div class="ttname"><a href="../../dc/d83/class_expansion_client_setting_category.html#a8cc10fb2f598ef3f0c9e7f2d9aa65b96">ExpansionClientSettingCategory::m_Settings</a></div><div class="ttdeci">autoptr array&lt; ref ExpansionSettingSerializationBase &gt; m_Settings</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/expansionclientsettingcategory_8c_source.html#l00015">expansionclientsettingcategory.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_client_settings_html_a94023d99f35e935099360b8ca1b4890f"><div class="ttname"><a href="../../dc/dea/class_expansion_client_settings.html#a94023d99f35e935099360b8ca1b4890f">ExpansionClientSettings::Save</a></div><div class="ttdeci">void Save()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/db3/expansionclientsettings_8c_source.html#l00638">expansionclientsettings.c:638</a></div></div>
<div class="ttc" id="aclass_expansion_client_settings_html_aa8108c8e08c8dee4bd5ba9f9a0b1b355"><div class="ttname"><a href="../../dc/dea/class_expansion_client_settings.html#aa8108c8e08c8dee4bd5ba9f9a0b1b355">ExpansionClientSettings::m_Categories</a></div><div class="ttdeci">autoptr array&lt; ref ExpansionClientSettingCategory &gt; m_Categories</div><div class="ttdef"><b>Definition:</b> <a href="../../df/db3/expansionclientsettings_8c_source.html#l00022">expansionclientsettings.c:22</a></div></div>
<div class="ttc" id="aclass_expansion_client_settings_html_aef870dc7b6bc8930a22c5a8f5e3a5574"><div class="ttname"><a href="../../dc/dea/class_expansion_client_settings.html#aef870dc7b6bc8930a22c5a8f5e3a5574">ExpansionClientSettings::Load</a></div><div class="ttdeci">bool Load()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/db3/expansionclientsettings_8c_source.html#l00598">expansionclientsettings.c:598</a></div></div>
<div class="ttc" id="aclass_options_menu_html"><div class="ttname"><a href="../../d8/dfa/class_options_menu.html">OptionsMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dbf/optionsmenu_8c_source.html#l00013">optionsmenu.c:14</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html">ScriptedWidgetEventHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d2f/expansionmapwidgetbase_8c_source.html#l00013">expansionmapwidgetbase.c:14</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a191776877c0e6d31952c706aefd01166"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a191776877c0e6d31952c706aefd01166">ScriptedWidgetEventHandler::m_IsChanged</a></div><div class="ttdeci">protected bool m_IsChanged</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00026">optionsmenuexpansion.c:26</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a20af9241f704d6d6d1ee3c97a6e817e4"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a20af9241f704d6d6d1ee3c97a6e817e4">ScriptedWidgetEventHandler::ColorWhite</a></div><div class="ttdeci">void ColorWhite(Widget w, Widget enterW)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00186">optionsmenuexpansion.c:186</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a3397cc10bcbfa4f2bb9741b800fc88e0"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a3397cc10bcbfa4f2bb9741b800fc88e0">ScriptedWidgetEventHandler::OnFocusLost</a></div><div class="ttdeci">override bool OnFocusLost(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00151">optionsmenuexpansion.c:151</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a64423982a171b4cc45652786b1153941"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a64423982a171b4cc45652786b1153941">ScriptedWidgetEventHandler::m_DetailsText</a></div><div class="ttdeci">protected RichTextWidget m_DetailsText</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00019">optionsmenuexpansion.c:19</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a68d5eff3cf61ea383563828e0e63d4e2"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a68d5eff3cf61ea383563828e0e63d4e2">ScriptedWidgetEventHandler::ColorRed</a></div><div class="ttdeci">void ColorRed(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00172">optionsmenuexpansion.c:172</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00015">optionsmenuexpansion.c:15</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_a93cd4840477d3dbe2ab3b6583309ad38"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#a93cd4840477d3dbe2ab3b6583309ad38">ScriptedWidgetEventHandler::m_Options</a></div><div class="ttdeci">protected GameOptions m_Options</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00021">optionsmenuexpansion.c:21</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aa0961e354274ce56d9047e4461f95a1a"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aa0961e354274ce56d9047e4461f95a1a">ScriptedWidgetEventHandler::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00130">optionsmenuexpansion.c:130</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aa5e200f6c7f6000f36191cc4d8e2267a"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aa5e200f6c7f6000f36191cc4d8e2267a">ScriptedWidgetEventHandler::m_DetailsRoot</a></div><div class="ttdeci">protected Widget m_DetailsRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00017">optionsmenuexpansion.c:17</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aa870b9dfdcd9897c5115f7445fba9751"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aa870b9dfdcd9897c5115f7445fba9751">ScriptedWidgetEventHandler::OptionsMenuExpansion</a></div><div class="ttdeci">void OptionsMenuExpansion(Widget parent, Widget details_root, GameOptions options, OptionsMenu menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00031">optionsmenuexpansion.c:31</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aaed08505856aa6f1d804546090d0392c"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aaed08505856aa6f1d804546090d0392c">ScriptedWidgetEventHandler::m_DetailsLabel</a></div><div class="ttdeci">protected TextWidget m_DetailsLabel</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00018">optionsmenuexpansion.c:18</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aafeadb70e7937a0d428c4e88a3e12c9f"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aafeadb70e7937a0d428c4e88a3e12c9f">ScriptedWidgetEventHandler::SetChanged</a></div><div class="ttdeci">void SetChanged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00083">optionsmenuexpansion.c:83</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_ab9c9e3e8bb78735264b870b8d7f2193c"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#ab9c9e3e8bb78735264b870b8d7f2193c">ScriptedWidgetEventHandler::ExpansionOptionSettingWidget</a></div><div class="ttdeci">void ExpansionOptionSettingWidget(Widget parent, notnull ExpansionSettingSerializationBase setting, OptionsMenuExpansion menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd1/expansionoptionsettingwidget_8c_source.html#l00033">expansionoptionsettingwidget.c:33</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_ac237903ddcafd68ab0d69df9a38f46da"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#ac237903ddcafd68ab0d69df9a38f46da">ScriptedWidgetEventHandler::IsFocusable</a></div><div class="ttdeci">bool IsFocusable(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00159">optionsmenuexpansion.c:159</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aca7b46599162024be0b493ab4c21dcf4"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aca7b46599162024be0b493ab4c21dcf4">ScriptedWidgetEventHandler::HideDetails</a></div><div class="ttdeci">void HideDetails()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00209">optionsmenuexpansion.c:209</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_acee4b7a280bd6c411a73ba05c9cb8755"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#acee4b7a280bd6c411a73ba05c9cb8755">ScriptedWidgetEventHandler::OnFocus</a></div><div class="ttdeci">override bool OnFocus(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00143">optionsmenuexpansion.c:143</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_adb29d3b0007d7c5899f77b5c8ec65e50"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#adb29d3b0007d7c5899f77b5c8ec65e50">ScriptedWidgetEventHandler::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00112">optionsmenuexpansion.c:112</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_ae6e63c878a0a0a7cc10e3eb16caa1eec"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#ae6e63c878a0a0a7cc10e3eb16caa1eec">ScriptedWidgetEventHandler::m_OptionsWidgets</a></div><div class="ttdeci">protected ref array&lt; ref ExpansionOptionSettingWidget &gt; m_OptionsWidgets</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00024">optionsmenuexpansion.c:24</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_aef8b0265c31fcd36b7dba98c6cb0eee8"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#aef8b0265c31fcd36b7dba98c6cb0eee8">ScriptedWidgetEventHandler::m_Menu</a></div><div class="ttdeci">protected ref OptionsMenu m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00022">optionsmenuexpansion.c:22</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_af2733ae6095bc52db6a67d6ffa418f5b"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#af2733ae6095bc52db6a67d6ffa418f5b">ScriptedWidgetEventHandler::IsChanged</a></div><div class="ttdeci">bool IsChanged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00075">optionsmenuexpansion.c:75</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_af709a2cbb254a7db31239631a06e147a"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#af709a2cbb254a7db31239631a06e147a">ScriptedWidgetEventHandler::Apply</a></div><div class="ttdeci">void Apply()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00093">optionsmenuexpansion.c:93</a></div></div>
<div class="ttc" id="aclass_scripted_widget_event_handler_html_af7d8a0343b1a53ed645ba286d3738879"><div class="ttname"><a href="../../df/df4/class_scripted_widget_event_handler.html#af7d8a0343b1a53ed645ba286d3738879">ScriptedWidgetEventHandler::ShowDetails</a></div><div class="ttdeci">void ShowDetails(string title, string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dd3/optionsmenuexpansion_8c_source.html#l00199">optionsmenuexpansion.c:199</a></div></div>
<div class="ttc" id="aexpansionclientsettings_8c_html_ac819a3ce2982b743e915becd7db4fb9d"><div class="ttname"><a href="../../df/db3/expansionclientsettings_8c.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a></div><div class="ttdeci">static ExpansionClientSettings GetExpansionClientSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/db3/expansionclientsettings_8c_source.html#l01018">expansionclientsettings.c:1018</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_2dd2a25b96a83f02428078034cc08b57.html">gui</a></li><li class="navelem"><a class="el" href="../../dir_394aa35ba2ffec607991a8e3da914a7e.html">options</a></li><li class="navelem"><a class="el" href="../../d2/dd3/optionsmenuexpansion_8c.html">optionsmenuexpansion.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
